ipa_control_info_entry Struct Reference

Description of a serialized ControlInfo entry. More...

## Public Attributes

uint32_t | id
uint32_t | type
uint32_t | offset
uint32_t | padding [1]

## Detailed Description

Description of a serialized ControlInfo entry.

## Member Data Documentation

## id

ipa_control_info_entry::id

The numerical ID of the control

## offset

ipa_control_info_entry::offset

The offset in bytes from the beginning of the data section to the control info data (shall be a multiple of 8 bytes)

## padding

ipa_control_info_entry::padding

Padding bytes (shall be set to 0)

## type

ipa_control_info_entry::type

The type of the control (defined by enum ControlType)

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_controls.h
- src/libcamera/ipa_controls.cpp